﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.Data;

namespace RadAutoCompleteBoxItemsCollectionOrdered
{
    public partial class Form1 : Form
    {
        //List<RadTokenizedTextItem> list;
        public Form1()
        {
            InitializeComponent();
            list = new List<RadTokenizedTextItem>();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.radAutoCompleteBox1.Items.CollectionChanged += new NotifyCollectionChangedEventHandler(Items_CollectionChanged);
        }

        List<RadTokenizedTextItem> list;
        void Items_CollectionChanged(object sender, NotifyCollectionChangedEventArgs e)
        {
            if (e.Action == NotifyCollectionChangedAction.Add) 
            {
                for (int i = 0; i < e.NewItems.Count; i++)
			    {
                  list.Add(e.NewItems[i] as RadTokenizedTextItem);
			    }                 
            }
            if (e.Action == NotifyCollectionChangedAction.Remove) 
            {
                for (int i = 0; i < e.NewItems.Count; i++)
                {
                    list.Remove(e.NewItems[i] as RadTokenizedTextItem);
                }  
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radLabel1.Text = string.Empty;

            foreach (RadTokenizedTextItem item in this.list)
            {
                this.radLabel1.Text += item.Text;
            }
            
        }
    }
}
